## weakforced 2.10.2

=== regression-tests/requirements.txt ===
requests==2.31.0
pytest==7.4.2
click==6.7
coverage==4.4.1
elasticsearch>=7.0.0
Jinja2==3.1.3
MarkupSafe==2.1.3
pytz==2017.2
urllib3==2.0.7
bottle==0.12.20
prometheus_client==0.7.1
pyOpenSSL==20.0.1

=== debian/changelog ===
weakforced (2.10.2-2) unstable; urgency=medium

  [ Gui-Yue ]
  * Add ldflag "-latomic" for riscv64
    (Closes: #1088172)

  [ Pierre-Elliott Bécue]
  * d/control: Bump Standards-Version to 4.7.2
  * d/copyright: Add Gui-Yue

 -- Pierre-Elliott Bécue <peb@debian.org>  Fri, 11 Apr 2025 14:37:09 +0200

weakforced (2.10.2-1) unstable; urgency=medium

  * New upstream release 2.10.2
  * Rename binary packages before sending them to NEW
    (s/wforce/weakforced/g)
  * Updated regexes.yaml
  * d/control:
    - Change maintainer email
    - Bump Standards-Version to 4.7.0
    - Replace pkg-config by pkgconf in Build-Dependencies
  * d/copyright: update
    - threadname has been relicensed to GPL-2+
  * d/rules: Enable hardening, enable verbosity
  * d/*.docs: Drop LICENSE

 -- Pierre-Elliott Bécue <peb@debian.org>  Sun, 25 Aug 2024 13:09:44 +0200

weakforced (2.10.0-1) unstable; urgency=medium

  * New upstream release 2.10.0
    - Dropped report_api
  * Add debian/watch file

 -- Pierre-Elliott Bécue <pierre-elliott.becue@gandi.net>  Wed, 13 Dec 2023 21:53:34 +0100

weakforced (2.8.0-1) unstable; urgency=medium

  * Initial release (Closes: #1037498)

 -- Pierre-Elliott Bécue <pierre-elliott.becue@gandi.net>  Wed, 13 Dec 2023 21:28:30 +0100

=== debian/control ===
Source: weakforced
Maintainer: Pierre-Elliott Bécue <peb@debian.org>
Section: web
Priority: optional
Build-Depends: autoconf,
               automake,
               debhelper-compat (=13),
               libgeoip-dev,
               libboost-all-dev,
               libcurl4-openssl-dev,
               libdrogon-dev,
               libgetdns-dev,
               libhiredis-dev,
               libmaxminddb-dev,
               libluajit-5.1-dev,
               libprotobuf-dev,
               libreadline-dev,
               libssl-dev,
               libsodium-dev,
               libsystemd-dev,
               libyaml-cpp-dev,
               libjsoncpp-dev,
               uuid-dev,
               libz-dev,
               libtool,
               pkgconf,
               prometheus-cpp-dev,
               protobuf-compiler,
               pandoc
Standards-Version: 4.7.2
Vcs-Browser: https://salsa.debian.org/debian/weakforced
Vcs-Git: https://salsa.debian.org/debian/weakforced.git
Homepage: https://github.com/PowerDNS/weakforced
Rules-Requires-Root: no

Package: weakforced
Architecture: any
Depends: adduser, ${shlibs:Depends}, ${misc:Depends}
Recommends: python3
Description: Daemon for detecting brute force attacks
 The goal of weakforced is to detect brute forcing of passwords across many
 servers, services and instances. In order to support the real world, brute
 force detection policy can be tailored to deal with "bulk, but legitimate"
 users of your service, as well as botnet-wide slowscans of passwords.
 The aim is to support the largest of installations, providing services to
 hundreds of millions of users.
 .
 This package provides the actual daemon and its client command.

Package: weakforced-trackalert
Architecture: any
Depends: adduser, ${shlibs:Depends}, ${misc:Depends}
Description: Longterm abuse data reporting and alerter
 The goal of weakforced is to detect brute forcing of passwords across many
 servers, services and instances. In order to support the real world, brute
 force detection policy can be tailored to deal with "bulk, but legitimate"
 users of your service, as well as botnet-wide slowscans of passwords.  The aim
 is to support the largest of installations, providing services to hundreds of
 millions of users.
 .
 Trackalert is designed to be an optional service to complement weakforced.
 Whereas weakforced provides a toolkit to combat  abuse of logins such as
 password brute forcing in realtime, trackalert is designed to look at abuse
 asynchronously, using long-term report data stored in an external DB such as
 elasticsearch, and to send alerts on potential login abuse.
 .
 This package provides Trackalert

=== debian/rules ===
#!/usr/bin/make -f
export DEB_BUILD_MAINT_OPTIONS = hardening=+all
#
# See debhelper(7) (uncomment to enable)
# output every command that modifies files on the build system.
DH_VERBOSE = 1

# see EXAMPLES in dpkg-buildflags(1) and read /usr/share/dpkg/*
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/default.mk

DEB_HOST_ARCH ?= $(shell dpkg-architecture -qDEB_HOST_ARCH)

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- \
	  --sysconfdir=/etc/wforce \
	  --with-luajit \
	  --enable-trackalert

override_dh_auto_build:
ifeq ($(DEB_HOST_ARCH), riscv64)
	dh_auto_build -- LDFLAGS="-latomic"
else
	dh_auto_build
endif

=== debian/watch ===
version=4
opts=uversionmangle=s/(rc|a|b|c)/~$1/,repacksuffix=+ds,dversionmangle=s/\+ds// \
https://github.com/PowerDNS/@PACKAGE@/tags \
.*[^n]/(?:|v|version-|r|REL_|rel-|(?:@PACKAGE@)(?:_|-))(\d[^\s/]*)\.(?:tar\.xz|txz|tar\.bz2|tbz2|tar\.gz|tgz)

## weakforced 3.0.0

=== regression-tests/requirements.txt ===
requests==2.32.4
pytest==7.4.2
click==6.7
coverage==4.4.1
elasticsearch>=7.0.0
Jinja2==3.1.6
MarkupSafe==2.1.3
pytz==2017.2
urllib3==2.5.0
bottle==0.12.20
prometheus_client==0.7.1
pyOpenSSL==20.0.1

=== debian/changelog ===
weakforced (3.0.0-3) unstable; urgency=medium

  * d/control: Make weakforced-trackalert depend on weakforced

 -- Pierre-Elliott Bécue <peb@debian.org>  Thu, 23 Oct 2025 22:57:03 +0200

weakforced (3.0.0-2) unstable; urgency=medium

  * d/control: add bsdextrautils as a dependency of weakforced
  * wrap-and-sort
  * Add weakforced-common for the common file, user, etc.

 -- Pierre-Elliott Bécue <peb@debian.org>  Sun, 19 Oct 2025 17:29:45 +0200

weakforced (3.0.0-1) unstable; urgency=medium

  [ Pierre-Elliott Bécue ]
  * New upstream release 3.0.0
  * d/copyright: updated
  * d/contrib/regexes.yaml: updated
  * d/p/0002: include stdint.h in two header files
    Closes: #1114440, #1110673
  * d/control:
    - Pull asciidoctor at build as needed
  * d/watch: move to v5

  [ Dandan Zhang ]
  * Append -latomic to LDFLAGS on loong64. (Closes: #1103415)

 -- Pierre-Elliott Bécue <peb@debian.org>  Sun, 21 Sep 2025 22:31:19 +0200

=== debian/control ===
--- 
+++ 
@@ -2,31 +2,32 @@
 Maintainer: Pierre-Elliott Bécue <peb@debian.org>
 Section: web
 Priority: optional
-Build-Depends: autoconf,
+Build-Depends: debhelper-compat (=13),
+               asciidoctor,
+               autoconf,
                automake,
-               debhelper-compat (=13),
-               libgeoip-dev,
                libboost-all-dev,
                libcurl4-openssl-dev,
                libdrogon-dev,
+               libgeoip-dev,
                libgetdns-dev,
                libhiredis-dev,
+               libjsoncpp-dev,
+               libluajit-5.1-dev,
                libmaxminddb-dev,
-               libluajit-5.1-dev,
                libprotobuf-dev,
                libreadline-dev,
+               libsodium-dev,
                libssl-dev,
-               libsodium-dev,
                libsystemd-dev,
+               libtool,
                libyaml-cpp-dev,
-               libjsoncpp-dev,
-               uuid-dev,
                libz-dev,
-               libtool,
+               pandoc,
                pkgconf,
                prometheus-cpp-dev,
                protobuf-compiler,
-               pandoc
+               uuid-dev
 Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/debian/weakforced
 Vcs-Git: https://salsa.debian.org/debian/weakforced.git
@@ -35,7 +36,7 @@
 
 Package: weakforced
 Architecture: any
-Depends: adduser, ${shlibs:Depends}, ${misc:Depends}
+Depends: weakforced-common, ${misc:Depends}, ${shlibs:Depends}
 Recommends: python3
 Description: Daemon for detecting brute force attacks
  The goal of weakforced is to detect brute forcing of passwords across many
@@ -49,7 +50,7 @@
 
 Package: weakforced-trackalert
 Architecture: any
-Depends: adduser, ${shlibs:Depends}, ${misc:Depends}
+Depends: weakforced, ${misc:Depends}, ${shlibs:Depends}
 Description: Longterm abuse data reporting and alerter
  The goal of weakforced is to detect brute forcing of passwords across many
  servers, services and instances. In order to support the real world, brute
@@ -59,9 +60,24 @@
  millions of users.
  .
  Trackalert is designed to be an optional service to complement weakforced.
- Whereas weakforced provides a toolkit to combat  abuse of logins such as
+ Whereas weakforced provides a toolkit to combat abuse of logins such as
  password brute forcing in realtime, trackalert is designed to look at abuse
  asynchronously, using long-term report data stored in an external DB such as
  elasticsearch, and to send alerts on potential login abuse.
  .
  This package provides Trackalert
+
+Package: weakforced-common
+Architecture: any
+Breaks: weakforced (<< 3.0.0-2)
+Replaces: weakforced (<< 3.0.0-2)
+Depends: adduser, bsdextrautils, ucf, ${misc:Depends}, ${shlibs:Depends}
+Description: Daemon for detecting brute force attacks
+ The goal of weakforced is to detect brute forcing of passwords across many
+ servers, services and instances. In order to support the real world, brute
+ force detection policy can be tailored to deal with "bulk, but legitimate"
+ users of your service, as well as botnet-wide slowscans of passwords.
+ The aim is to support the largest of installations, providing services to
+ hundreds of millions of users.
+ .
+ This package provides the common files for both weakforced and trackalert

=== debian/watch ===
Version: 5
Template: Github
Owner: PowerDNS
Project: weakforced
